% dataset specification and parameters for MPEG7
dataset_name = 'mpeg7';

nb = 30;            % # of nearest neighbors to estimate variance for Gaussian kernel
k = 0.1;            % constant before variance for Gaussian kernel

NC = 70;            % # of classes
NS = 20;            % # of samples per class

N = NS*NC;          % total # of samples
y = repmat(1:NC, NS, 1); y = y(:);
G = cell(1, NC);
for i = 1:NC
    G{i} = (i-1)*NS+1 : i*NS;
end;

% Distance matrix
D = load('mpeg7_inner.mat');
D1 = D.Diff;
D = load('mpeg7_sc.mat');
D2 = D.Score;

% Similarity matrix
S1 = dist2sim(D1, nb, k);
S2 = dist2sim(D2, nb, k);
S = S1+S2;
