function rate = retr_rate(S, y, nret, ns)
% S     : similarity matrix for each instance, NxM
% y     : ground truth label, 1x1
% nret  : number of retrievals, 1x1
% ns    : number of samples in each category, 1x1
% rate  : retrieval rate, 1x1
%
% Author    : Jiayan Jiang

N = size(S, 1);
[dumb, IDX] = sort(S, 2, 'descend');
count = 0;
for i = 1:N
    idx = IDX(i, :);
%     idx(idx==i) = []; % self-exclusion
    count = count + sum(y(idx(1:nret)) == y(i));
end;
% rate = count / ((ns-1)*N);    % bull's eye
rate = count / (ns*N);    % bull's eye
